function [VCZARcoeff,VCZARSig,NoiseSig,Strucoeff]=parvec2true_reml(parvec,m,p,obsnoise,struc)
% maps vector parvec to the model parameter structures - omitting regression coefficients for reml

% disp('Release version of parvec2true_reml')
count=0;
VCZARcoeff=zeros(m,m,p);
for i=1:m
    for j=1:m
        for k=1:p
            count = count+1;
            VCZARcoeff(i,j,k)=parvec(count);
        end
    end
end
VCZARSig=zeros(m,m);
if struc==0
    for i=1:m
        for j=i:m % note symmetry
            count=count+1;
            VCZARSig(i,j)=parvec(count);
            VCZARSig(j,i)=parvec(count);
        end
    end
else 
    for i=1:m % diagonals only
        count=count+1;
        VCZARSig(i,i)=parvec(count); 
    end
end  
if obsnoise==1
    NoiseSig=zeros(m,1);
    for i=1:m
        count=count+1;
        NoiseSig(i)=parvec(count);
    end
elseif obsnoise==2
    for i=1:m
        for j=i:m % note symmetry
            count=count+1;
            NoiseSig(i,j)=parvec(count);
            NoiseSig(j,i)=parvec(count);
        end
    end
else
    NoiseSig=[];
end
if struc>0
    for i=1:m
        for j=1:m
            if i==j
                Strucoeff(i,j)=1;
            else
                count=count+1;
                Strucoeff(i,j)=parvec(count);
            end
        end
    end
else
    Strucoeff=[];
end
return
    
            
    