function [subindex,lensubpar]=subparindex_reml(rstrategy,constraints)
% index for mapping from subparvec to parvec for parameters currently selected in strategy

% disp('Release version of subparindex_reml')
lensubpar=0;
for group=1:4
    lensubpar=lensubpar+rstrategy(group)*sum(constraints{group});
end
subindex=zeros(1,lensubpar);
count=0;
subcount=0;
for group=1:4
    grpcons=constraints{group};
    ncon=length(grpcons);
    if rstrategy(group)==1 % only estimate groups specified in current strategy
        if ncon>0
            for i=1:ncon
                count=count+1;
                if grpcons(i)==1
                    subcount=subcount+1;
                    subindex(subcount)=count;
                end
            end
        end
    else
        count=count+ncon;
    end
end